Package: org.codehaus.groovy.util

## [Java] Class Entry<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap.Entry

- All Implemented Interfaces and Traits:
    Entry

      public static class ManagedConcurrentMap.Entry
      extends ManagedReference

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `V` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedConcurrentMap.Entry (ReferenceBundle bundle, Segment segment, K key, int hash)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `finalizeRef()` @deprecated use finalizeReference
    `` | `void` | `finalizeReference()`
    `` | `int` | `getHash()`
    `` | `V` | `getValue()`
    `` | `boolean` | `isEqual(K key, int hash)`
    `` | `boolean` | `isValid()`
    `` | `void` | `setValue(V value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ManagedReference` | `clear, finalizeReference, get`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### V value

  - ### Constructor Detail

    - #### public ManagedConcurrentMap.Entry(ReferenceBundle bundle, Segment segment, K key, int hash)

  - ### Method Detail

    - #### @Deprecated public void finalizeRef()

      deprecated:
        use finalizeReference

    - #### @Override public void finalizeReference()

    - #### public int getHash()

    - #### public V getValue()

    - #### public boolean isEqual(K key, int hash)

    - #### public boolean isValid()

    - #### public void setValue(V value)